Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.swing.svg
Class AbstractJSVGComponent.SVGListener

    java.lang.Object
      org.apache.batik.swing.gvt.AbstractJGVTComponent.Listener
          org.apache.batik.swing.gvt.JGVTComponent.ExtendedListener
              org.apache.batik.swing.svg.AbstractJSVGComponent.SVGListener

All Implemented Interfaces:
  KeyListener, MouseListener, MouseMotionListener, MouseWheelListener, EventListener, UpdateManagerListener, GVTTreeRendererListener, GVTTreeBuilderListener, SVGDocumentLoaderListener, SVGLoadEventDispatcherListener

Direct Known Subclasses:
  JSVGComponent.ExtendedSVGListener

Enclosing class:
  AbstractJSVGComponent

    protected class AbstractJSVGComponent.SVGListener

extends JGVTComponent.ExtendedListener
implements SVGDocumentLoaderListener, GVTTreeBuilderListener, SVGLoadEventDispatcherListener, UpdateManagerListener

To hide the listener methods.

Constructor Summary
`protected` | `AbstractJSVGComponent.SVGListener()` Creates a new SVGListener.

Method Summary
`protected void` | `dispatchKeyPressed(KeyEvent e)` Dispatches the event to the GVT tree.
`protected void` | `dispatchKeyReleased(KeyEvent e)` Dispatches the event to the GVT tree.
`protected void` | `dispatchKeyTyped(KeyEvent e)` Dispatches the event to the GVT tree.
`protected void` | `dispatchMouseClicked(MouseEvent e)` Dispatches the event to the GVT tree.
`protected void` | `dispatchMouseDragged(MouseEvent e)` Dispatches the event to the GVT tree.
`protected void` | `dispatchMouseEntered(MouseEvent e)` Dispatches the event to the GVT tree.
`protected void` | `dispatchMouseExited(MouseEvent e)` Dispatches the event to the GVT tree.
`protected void` | `dispatchMouseMoved(MouseEvent e)` Dispatches the event to the GVT tree.
`protected void` | `dispatchMousePressed(MouseEvent e)` Dispatches the event to the GVT tree.
`protected void` | `dispatchMouseReleased(MouseEvent e)` Dispatches the event to the GVT tree.
`void` | `documentLoadingCancelled(SVGDocumentLoaderEvent e)` Called when the loading of a document was cancelled.
`void` | `documentLoadingCompleted(SVGDocumentLoaderEvent e)` Called when the loading of a document was completed.
`void` | `documentLoadingFailed(SVGDocumentLoaderEvent e)` Called when the loading of a document has failed.
`void` | `documentLoadingStarted(SVGDocumentLoaderEvent e)` Called when the loading of a document was started.
`void` | `gvtBuildCancelled(GVTTreeBuilderEvent e)` Called when a build was cancelled.
`void` | `gvtBuildCompleted(GVTTreeBuilderEvent e)` Called when a build was completed.
`void` | `gvtBuildFailed(GVTTreeBuilderEvent e)` Called when a build failed.
`void` | `gvtBuildStarted(GVTTreeBuilderEvent e)` Called when a build started.
`void` | `gvtRenderingCancelled(GVTTreeRendererEvent e)` Called when a rendering was cancelled.
`void` | `gvtRenderingCompleted(GVTTreeRendererEvent e)` Called when a rendering was completed.
`void` | `gvtRenderingFailed(GVTTreeRendererEvent e)` Called when a rendering failed.
`void` | `managerResumed(UpdateManagerEvent e)` Called when the manager was resumed.
`void` | `managerStarted(UpdateManagerEvent e)` Called when the manager was started.
`void` | `managerStopped(UpdateManagerEvent e)` Called when the manager was stopped.
`void` | `managerSuspended(UpdateManagerEvent e)` Called when the manager was suspended.
`void` | `svgLoadEventDispatchCancelled(SVGLoadEventDispatcherEvent e)` Called when a onload event dispatch was cancelled.
`void` | `svgLoadEventDispatchCompleted(SVGLoadEventDispatcherEvent e)` Called when a onload event dispatch was completed.
`void` | `svgLoadEventDispatchFailed(SVGLoadEventDispatcherEvent e)` Called when a onload event dispatch failed.
`void` | `svgLoadEventDispatchStarted(SVGLoadEventDispatcherEvent e)` Called when a onload event dispatch started.
`void` | `updateCompleted(UpdateManagerEvent e)` Called when an update was completed.
`void` | `updateFailed(UpdateManagerEvent e)` Called when an update failed.
`void` | `updateStarted(UpdateManagerEvent e)` Called when an update started.

Methods inherited from class org.apache.batik.swing.gvt.JGVTComponent.ExtendedListener
`dispatchMouseWheelMoved, mouseWheelMoved`

Methods inherited from class org.apache.batik.swing.gvt.AbstractJGVTComponent.Listener
`deselectInteractor, gvtRenderingPrepare, gvtRenderingStarted, handleMouseClicked, keyPressed, keyReleased, keyTyped, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, selectInteractor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractJSVGComponent.SVGListener

    protected AbstractJSVGComponent.SVGListener()

  Creates a new SVGListener.

Method Detail

### documentLoadingStarted

    public void documentLoadingStarted(SVGDocumentLoaderEvent e)

  Called when the loading of a document was started.

  Specified by:
    `documentLoadingStarted` in interface `SVGDocumentLoaderListener`

### documentLoadingCompleted

    public void documentLoadingCompleted(SVGDocumentLoaderEvent e)

  Called when the loading of a document was completed.

  Specified by:
    `documentLoadingCompleted` in interface `SVGDocumentLoaderListener`

### documentLoadingCancelled

    public void documentLoadingCancelled(SVGDocumentLoaderEvent e)

  Called when the loading of a document was cancelled.

  Specified by:
    `documentLoadingCancelled` in interface `SVGDocumentLoaderListener`

### documentLoadingFailed

    public void documentLoadingFailed(SVGDocumentLoaderEvent e)

  Called when the loading of a document has failed.

  Specified by:
    `documentLoadingFailed` in interface `SVGDocumentLoaderListener`

### gvtBuildStarted

    public void gvtBuildStarted(GVTTreeBuilderEvent e)

  Called when a build started. The data of the event is initialized to the old document.

  Specified by:
    `gvtBuildStarted` in interface `GVTTreeBuilderListener`

### gvtBuildCompleted

    public void gvtBuildCompleted(GVTTreeBuilderEvent e)

  Called when a build was completed.

  Specified by:
    `gvtBuildCompleted` in interface `GVTTreeBuilderListener`

### gvtBuildCancelled

    public void gvtBuildCancelled(GVTTreeBuilderEvent e)

  Called when a build was cancelled.

  Specified by:
    `gvtBuildCancelled` in interface `GVTTreeBuilderListener`

### gvtBuildFailed

    public void gvtBuildFailed(GVTTreeBuilderEvent e)

  Called when a build failed.

  Specified by:
    `gvtBuildFailed` in interface `GVTTreeBuilderListener`

### svgLoadEventDispatchStarted

    public void svgLoadEventDispatchStarted(SVGLoadEventDispatcherEvent e)

  Called when a onload event dispatch started.

  Specified by:
    `svgLoadEventDispatchStarted` in interface `SVGLoadEventDispatcherListener`

### svgLoadEventDispatchCompleted

    public void svgLoadEventDispatchCompleted(SVGLoadEventDispatcherEvent e)

  Called when a onload event dispatch was completed.

  Specified by:
    `svgLoadEventDispatchCompleted` in interface `SVGLoadEventDispatcherListener`

### svgLoadEventDispatchCancelled

    public void svgLoadEventDispatchCancelled(SVGLoadEventDispatcherEvent e)

  Called when a onload event dispatch was cancelled.

  Specified by:
    `svgLoadEventDispatchCancelled` in interface `SVGLoadEventDispatcherListener`

### svgLoadEventDispatchFailed

    public void svgLoadEventDispatchFailed(SVGLoadEventDispatcherEvent e)

  Called when a onload event dispatch failed.

  Specified by:
    `svgLoadEventDispatchFailed` in interface `SVGLoadEventDispatcherListener`

### gvtRenderingCompleted

    public void gvtRenderingCompleted(GVTTreeRendererEvent e)

  Called when a rendering was completed.

  Specified by:
    `gvtRenderingCompleted` in interface `GVTTreeRendererListener`
  Overrides:
    `gvtRenderingCompleted` in class `AbstractJGVTComponent.Listener`

### gvtRenderingCancelled

    public void gvtRenderingCancelled(GVTTreeRendererEvent e)

  Called when a rendering was cancelled.

  Specified by:
    `gvtRenderingCancelled` in interface `GVTTreeRendererListener`
  Overrides:
    `gvtRenderingCancelled` in class `AbstractJGVTComponent.Listener`

### gvtRenderingFailed

    public void gvtRenderingFailed(GVTTreeRendererEvent e)

  Called when a rendering failed.

  Specified by:
    `gvtRenderingFailed` in interface `GVTTreeRendererListener`
  Overrides:
    `gvtRenderingFailed` in class `AbstractJGVTComponent.Listener`

### managerStarted

    public void managerStarted(UpdateManagerEvent e)

  Called when the manager was started.

  Specified by:
    `managerStarted` in interface `UpdateManagerListener`

### managerSuspended

    public void managerSuspended(UpdateManagerEvent e)

  Called when the manager was suspended.

  Specified by:
    `managerSuspended` in interface `UpdateManagerListener`

### managerResumed

    public void managerResumed(UpdateManagerEvent e)

  Called when the manager was resumed.

  Specified by:
    `managerResumed` in interface `UpdateManagerListener`

### managerStopped

    public void managerStopped(UpdateManagerEvent e)

  Called when the manager was stopped.

  Specified by:
    `managerStopped` in interface `UpdateManagerListener`

### updateStarted

    public void updateStarted(UpdateManagerEvent e)

  Called when an update started.

  Specified by:
    `updateStarted` in interface `UpdateManagerListener`

### updateCompleted

    public void updateCompleted(UpdateManagerEvent e)

  Called when an update was completed.

  Specified by:
    `updateCompleted` in interface `UpdateManagerListener`

### updateFailed

    public void updateFailed(UpdateManagerEvent e)

  Called when an update failed.

  Specified by:
    `updateFailed` in interface `UpdateManagerListener`

### dispatchKeyTyped

    protected void dispatchKeyTyped(KeyEvent e)

  Dispatches the event to the GVT tree.

  Overrides:
    `dispatchKeyTyped` in class `AbstractJGVTComponent.Listener`

### dispatchKeyPressed

    protected void dispatchKeyPressed(KeyEvent e)

  Dispatches the event to the GVT tree.

  Overrides:
    `dispatchKeyPressed` in class `AbstractJGVTComponent.Listener`

### dispatchKeyReleased

    protected void dispatchKeyReleased(KeyEvent e)

  Dispatches the event to the GVT tree.

  Overrides:
    `dispatchKeyReleased` in class `AbstractJGVTComponent.Listener`

### dispatchMouseClicked

    protected void dispatchMouseClicked(MouseEvent e)

  Dispatches the event to the GVT tree.

  Overrides:
    `dispatchMouseClicked` in class `AbstractJGVTComponent.Listener`

### dispatchMousePressed

    protected void dispatchMousePressed(MouseEvent e)

  Dispatches the event to the GVT tree.

  Overrides:
    `dispatchMousePressed` in class `AbstractJGVTComponent.Listener`

### dispatchMouseReleased

    protected void dispatchMouseReleased(MouseEvent e)

  Dispatches the event to the GVT tree.

  Overrides:
    `dispatchMouseReleased` in class `AbstractJGVTComponent.Listener`

### dispatchMouseEntered

    protected void dispatchMouseEntered(MouseEvent e)

  Dispatches the event to the GVT tree.

  Overrides:
    `dispatchMouseEntered` in class `AbstractJGVTComponent.Listener`

### dispatchMouseExited

    protected void dispatchMouseExited(MouseEvent e)

  Dispatches the event to the GVT tree.

  Overrides:
    `dispatchMouseExited` in class `AbstractJGVTComponent.Listener`

### dispatchMouseDragged

    protected void dispatchMouseDragged(MouseEvent e)

  Dispatches the event to the GVT tree.

  Overrides:
    `dispatchMouseDragged` in class `AbstractJGVTComponent.Listener`

### dispatchMouseMoved

    protected void dispatchMouseMoved(MouseEvent e)

  Dispatches the event to the GVT tree.

  Overrides:
    `dispatchMouseMoved` in class `AbstractJGVTComponent.Listener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.